/*
         d410names.h

 Author: Allan Latham <alatham@flexsys-group.com>

*/ 

/* keyboard input */

#define DELETE_KEY      0x08 
#define HTAB            0x09
#define FORMFEED        0x0c  
#define ESCAPE          0x1b

/* single control chars */

#define NULLCHAR        0x00
#define PRINT_FORM      0x01
#define UNKNOWN_02      0x02
#define BLINK_ENABLE    0x03
#define BLINK_DISABLE   0x04
#define READ_WIN_ADDR   0x05
#define UNKNOWN_06      0x06
#define BELL            0x07
#define WINDOW_HOME     0x08  
#define UNKNOWN_09      0x09
#define NEWLINE         0x0a  /* cursor to next line col 1 */
#define ERASELINE       0x0b  /* from cursor to eol, retain cursor */
#define ERASE_WINDOW    0x0c  
#define RETURN          0x0d  /* cursor to col 1 */
#define BLINK_ON        0x0e
#define BLINK_OFF       0x0f
#define WRITE_WIN_ADDR  0x10  /* followed by address */
#define PRINT_WINDOW    0x11
#define ROLL_ENABLE     0x12
#define ROLL_DISABLE    0x13
#define UNDER_ON        0x14
#define UNDER_OFF       0x15
#define UNKNOWN_16      0x16
#define CURSOR_UP       0x17
#define CURSOR_RIGHT    0x18
#define CURSOR_LEFT     0x19
#define CURSOR_DOWN     0x1a
#define UNKNOWN_1B      0x1e
#define HIGH_ON         0x1c  /* DIM_ON !! */
#define HIGH_OFF        0x1d  /* DIM_OFF !! */
#define COMMAND         0x1e
#define HIGHEST_CONTROL 0x1f
#define BACKSPACE       0x7f  

/* double control chars  - after COMMAND */

#define READ_MODEL      0103
#define REVERSE_ON      0104
#define REVERSE_OFF     0105
#define COMMAND_106     0106
#define COMMAND_107     0107
#define SCROLL_UP       0110
#define SCROLL_DOWN     0111
#define INSERT_CHAR     0112
#define DELETE_CHAR     0113
#define LINE_1          0114
#define SHIFT_OUT       0116
#define SHIFT_IN        0117

/* triple control chars  - after COMMAND, COMMAND_106 */

#define UART_TEST       074
#define DISPLAY_SW      075
#define FILL_SCREEN     076
#define COMMAND_10677   077
#define ANSI_MODE       0100
#define RESET           0101
#define SET_WINDOWS     0102
#define SCROLL_LEFT     0103
#define SCROLL_RIGHT    0104
#define ERASE_SCREEN    0105
#define ERASE_UNPROT    0106
#define SCREEN_HOME     0107
#define INSERT_LINE     0110
#define DELETE_LINE     0111
#define NORM_SPACE      0112
#define COMP_SPACE      0113
#define PROTECT_ON      0114
#define PROTECT_OFF     0115
#define CHANGE_ATTR     0116
#define READ_HSO        0117
#define WRITE_SCR_ADDR  0120
#define SET_CUR_TYPE    0121
#define DEFINE_CHAR     0122
#define SEL_CHAR_SET    0123
#define SET_SCR_RATE    0124
#define SEL_7_8_BIT     0125
#define PROTECT_EN      0126
#define PROTECT_DIS     0127
#define SET_MARGINS     0130
#define SET_AMARGINS    0131
#define RES_MARGINS     0132
#define INS_LINE_M      0133
#define DEL_LINE_M      0134
#define HS_DISABLE      0135
#define HS_ENABLE       0136
#define SHOW_COLS       0137
#define PPT_ON_1        0140
#define PPT_OFF_1       0141
#define READ_SCR_ADDR   0142
#define READ_CHAR_REM   0144
#define RESERVE_CHAR    0145
#define SET_KB_LANG     0146

/* triple control chars  - after COMMAND, COMMAND_107 */

#define BAR             061
#define LINE_2          070
#define COMMAND_10776   076
#define COMMAND_10777   077
#define READ_CUR_ATTR   0100
#define CURSOR_RESET    0101
#define CURSOR_ON       0102
#define CURSOR_OFF      0103
#define CURSOR_TRACK    0110
#define COMMAND_107160  0160

/* quad control chars  - after COMMAND, COMMAND_106, COMMAND_10677 */

#define PPT_OFF_2       062
#define PPT_ON_2        063
#define WIN_BIT_DUMP    065
#define FORM_BIT_DUMP   066

/* quad control chars  - after COMMAND, COMMAND_107, COMMAND_10776 */

#define WRITE_CUR_LOC   0174

/* quad control chars  - after COMMAND, COMMAND_107, COMMAND_10777 */

#define READ_CUR_LOC    0174

/* quad control chars  - after COMMAND, COMMAND_107, COMMAND_107160 */

#define SET_PATTERN     061

